library RDummy;

{ Úplně primitivní organismus, který sedí na místě a udruje si v zásobě trochu
  energie a hmotnosti.

  Normální barva je černá. Pokud se mu někdo pokusí změnit UR[0] (typické pro
  organismy hrabající se v cizích UR), začne černobíle blikat.

  Organismus je vhodný pouze na testování a ladění jiných organismů (původně
  byl napsán jako pomůcka pro ladění RFuddle). }

{$R *.RES}

uses
  OrgInterface;

procedure OrgRun(Organism: IVLFOrganism); stdcall;
begin
  with Organism do
  begin
    if Age = 0 then
    begin
      AllocUR(1);
      SetUR(0, $AA); // binárně 10101010
    end;
    if Mass < 5 then
    begin
      Eat(5);
      Build(5)
    end;
    if Energy < 5 then
    begin
      Eat(5);
      Digest(5);
    end;
    if UR(0) = $AA then
      SetColor(255, 255, 255)
    else
      if Age mod 2 = 0 then
        SetColor(0, 0, 0)
      else
        SetColor(255, 255, 255);
  end;
end;

exports
  OrgRequiredVersion,
  OrgRun;

end.
